import express from 'express';
import cors from 'cors'; // <--- hinzufügen
import { executeCommand } from './broker.js';

const app = express();
const port = 8090;  //TODO: OR 8080

//CORS aktivieren
app.use(cors());

app.post('/api/command', (req, res) => {
  executeCommand();
  res.status(200).send('Command executed');
});

app.listen(port, '0.0.0.0', () => {
    console.log(`Server läuft auf http://0.0.0.0:${port}`);
});